/* **********************************************************
 * Copyright 1998 VMware, Inc.  All rights reserved. -- VMware Confidential
 * **********************************************************/

/*
 * Data structures related with enforcing limits on resource usage
 * in Workstation product.
 */

#ifndef _WSLIMITS_H_
#define _WSLIMITS_H_


#define WSLIMITS_HASH_SIZE 20
typedef struct WslimitsInfo {
   int32   memsize;   /* Memory size of this VM in MB */
   char    hash[WSLIMITS_HASH_SIZE];
} WslimitsInfo;

typedef void (WslimitsCallback)(WslimitsInfo *);

#endif
